/* iPadPro, iPadAir, SurfacePro7 */
@media (max-width:1024px) and (min-width: 821px) {

}

/* iPadMini */
@media (max-width:820px) and (min-width: 641px) {

}

/* iPhone */
@media (max-width: 640px) {
    /* 语言切换器 */
    .civro-language-switcher-content{
        width: 70%;
        padding: 30px 20px;
        border-radius: 15px;
    }
    .civro-language-switcher-btn{
        width: 30px;
        height: 30px;
        border-radius: 15px;
        right: 15px;
        top: 15px;
    }
    .civro-language-switcher-btn-icon{
        width: 15px;
        height: 15px;
    }
    .civro-language-switcher-btn-icon-img{
        width: 15px;
        height: 15px;
    }
    .civro-language-switcher-header{
        padding-top: 20px;
    }
    .civro-language-switcher-header-logo-img{
        height: 30px;
    }
    .civro-language-switcher-header-title{
        padding-top: 10px;
        font-size: 18px;
    }
    .civro-language-switcher-language-list{
        padding-top: 20px;
    }
    .civro-language-switcher-language{
        width: calc(100% - 40px);
        padding: 0 20px;
        height: 40px;
        border-radius: 20px;
        border: #cdcdcd solid 1px;
        margin-bottom: 10px;
    }
    .civro-language-switcher-language-title{
        font-size: 16px;
    }

    /* 右侧侧边栏 */
    .right-sidebar-container{
        right: 10px;
        height: max-content;
        bottom: 80px;
        top: unset;
    }
    .right-sidebar-fixed-action{
        width: 40px;
        height: 40px;
        border-radius: 20px;
        margin-bottom: 10px;
    }
    .right-sidebar-fixed-action-icon{
        width: 20px;
        height: 20px;
    }
    .right-sidebar-fixed-action-icon-img{
        width: 20px;
        height: 20px;
    }
    .right-sidebar-fixed-action-whatsapp .right-sidebar-fixed-action-icon{
        width: 24px;
        height: 24px;
    }
    .right-sidebar-fixed-action-whatsapp .right-sidebar-fixed-action-icon-img{
        width: 24px;
        height: 24px;
    }
    .right-sidebar-actions{
        width: 40px;
        padding: 10px 0;
        margin-bottom: 10px;
        border-radius: 20px;
    }
    .right-sidebar-action{
        width: 40px;
        height: 30px;
        margin-bottom: 10px;
    }
    .right-sidebar-action-icon{
        width: 20px;
        height: 20px;
    }
    .right-sidebar-action-icon-img{
        width: 20px;
        height: 20px;
    }

    /* Swiper 轮播切换按钮 */
    .swiper-button-custom{
        width: 30px;
        height: 30px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: #c40d23;
        border-radius: 15px;
        user-select: none;
    }
    .swiper-button-disabled{
        opacity: 1!important;
        background-color: #ffffff!important;
    }
    .swiper-button-custom:after{
        display: none;
        content: '';
    }
    .swiper-button-custom .swiper-button-icon{
        width: 20px;
        height: 20px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .swiper-button-custom .swiper-button-icon-img{
        width: 20px;
        height: 20px;
        object-fit: contain;
    }
    .swiper-button-custom .swiper-button-icon-img:first-of-type{
        display: block;
    }
    .swiper-button-custom .swiper-button-icon-img:last-of-type{
        display: none;
    }
    .swiper-button-disabled .swiper-button-icon-img:first-of-type{
        display: none;
    }
    .swiper-button-disabled .swiper-button-icon-img:last-of-type{
        display: block;
    }

    /* 产品搜索弹窗 */
    .product-search-dialog-content{
        padding-top: 200px;
        /*height: 100%;*/
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-search-dialog-content-action{
        width: 40px;
        height: 40px;
    }
    .product-search-dialog-content-action-icon{
        width: 20px;
        height: 20px;
    }
    .product-search-dialog-content-action-icon-img{
        width: 20px;
        height: 20px;
    }
    .product-search-dialog-content-header{
        padding-top: 20px;
    }
    .product-search-dialog-content-header-title{
        font-size: 20px;
    }
    .product-search-dialog-input-bar{
        margin-top: 20px;
        padding: 10px 0;
        border-bottom: #CCCCCC solid 2px;
    }
    .product-search-dialog-input-wrap{
        width: calc(100% - 60px);
    }
    .product-search-dialog-input{
        height: 30px;
        line-height: 30px;
        font-size: 16px;
    }
    .product-search-dialog-action{
        width: 40px;
        height: 40px;
    }
    .product-search-dialog-action-icon{
        width: 20px;
        height: 20px;
    }
    .product-search-dialog-action-icon-img{
        width: 20px;
        height: 20px;
    }
    
    /* 材质介绍视频 */
    .material-video-container{
        height: max-content;
        min-height: 200px;
        border-radius: 10px;
    }
    .material-video-container-bg{
        height: max-content;
        min-height: 200px;
    }
    .material-video-container-bg-video-wrap{
        height: max-content;
        min-height: 200px;
    }
    .material-video-container-bg-video{
        height: unset;
        object-fit: contain;
        min-height: 200px;
    }
    .material-video-container-content-wrap{
        height: 100%;
    }
    .material-video-container-content{
        height: calc(100% - 60px);
        padding: 30px 0;
    }
    .material-video-title{
        font-size: 20px;
    }
    .material-video-description{
        font-size: 14px;
    }
    .material-video-footer-video-actions{
        padding: 10px 0;
    }
    .material-video-footer-video-action{
        width: 30px;
        height: 30px;
        margin-right: 10px;
    }
    .material-video-footer-video-action-icon{
        width: 30px;
        height: 30px;
    }
    .material-video-footer-video-action-icon-img{
        width: 30px;
        height: 30px;
    }
    .material-video-footer-progress-bar{
        height: 2px;
    }
    .material-video-footer-progress-bar-active{
        height: 2px;
    }

    /* 材质分层图 */
    .material-level-poster-container{
        width: 100%;
        margin-top: 20px;
        margin-bottom: 20px;
    }
    .material-level-poster-img{
        border-radius: 10px;
    }

    /* 展会精彩瞬间 */
    .exhibition-exciting-moments-container{
        width: 100%;
        padding-bottom: 30px;
    }
    .exhibition-exciting-moments-container-header-title{
        font-size: 20px;
    }
    .exhibition-exciting-moments-container-body{
        padding-top: 20px;
    }
    .exhibition-exciting-moments-desc-swiper .swiper-slide{
        width: 100%;
    }
    .exhibition-exciting-moments-desc{
        width: 100%;
        user-select: none;
    }
    .exhibition-exciting-moments-desc-poster{
        width: 100%;
        height: max-content;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        border-radius: 10px;
        overflow: hidden;
    }
    .exhibition-exciting-moments-desc-poster-img{
        width: 100%;
        height: auto;
        aspect-ratio: 16 / 9;
        object-fit: cover;
    }
}